Package com.google.android.exoplayer2.metadata.mp4

## Class MdtaMetadataEntry

- java.lang.Object
- - com.google.android.exoplayer2.metadata.mp4.MdtaMetadataEntry

- All Implemented Interfaces:
    `Parcelable`, `Metadata.Entry`

      public final class MdtaMetadataEntry
      extends Object
      implements Metadata.Entry

  Stores extensible metadata with handler type 'mdta'. See also the QuickTime File Format Specification.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.Parcelable

      `Parcelable.ClassLoaderCreator<T extends Object>, Parcelable.Creator<T extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Parcelable.Creator<MdtaMetadataEntry>` | `CREATOR` |
    `String` | `key` | The metadata key name.
    `static String` | `KEY_ANDROID_CAPTURE_FPS` | Key for the capture frame rate (in frames per second).
    `int` | `localeIndicator` | The four byte locale indicator.
    `int` | `typeIndicator` | The four byte type indicator.
    `byte[]` | `value` | The payload.

    - ### Fields inherited from interface android.os.Parcelable

      `CONTENTS_FILE_DESCRIPTOR, PARCELABLE_WRITE_RETURN_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MdtaMetadataEntry​(String key, byte[] value, int localeIndicator, int typeIndicator)` | Creates a new metadata entry for the specified metadata key/value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `describeContents()` |
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |
    `String` | `toString()` |
    `void` | `writeToParcel​(Parcel dest, int flags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.android.exoplayer2.metadata.Metadata.Entry

      `getWrappedMetadataBytes, getWrappedMetadataFormat, populateMediaMetadata`

- - ### Field Detail

    - #### KEY_ANDROID_CAPTURE_FPS

          public static final String KEY_ANDROID_CAPTURE_FPS

      Key for the capture frame rate (in frames per second).
      See Also:
        Constant Field Values

    - #### key

          public final String key

      The metadata key name.

    - #### value

          public final byte[] value

      The payload. The interpretation of the value depends on `typeIndicator`.

    - #### localeIndicator

          public final int localeIndicator

      The four byte locale indicator.

    - #### typeIndicator

          public final int typeIndicator

      The four byte type indicator.

    - #### CREATOR

          public static final Parcelable.Creator<MdtaMetadataEntry> CREATOR

  - ### Constructor Detail

    - #### MdtaMetadataEntry

          public MdtaMetadataEntry​(String key,
                                   byte[] value,
                                   int localeIndicator,
                                   int typeIndicator)

      Creates a new metadata entry for the specified metadata key/value.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### writeToParcel

          public void writeToParcel​(Parcel dest,
                                    int flags)

      Specified by:
        `writeToParcel` in interface `Parcelable`

    - #### describeContents

          public int describeContents()

      Specified by:
        `describeContents` in interface `Parcelable`